Bug 862948 - KickstartValueError: The following problem occurred on line 0 of the kickstart file: Requested boot drive vdb doesn't exist
KickstartValueError: The following problem occurred on line 0 of the kickstar...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:8652ab4d7f4a37bece5c56d0854...
: Reopened
: 868525 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 21:59 EDT by Reartes Guillermo
Modified: 2013-05-30 12:51 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (683.94 KB, text/plain)
2012-10-03 21:59 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-03 21:59 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-03 21:59 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-03 21:59 EDT, Reartes Guillermo
no flags Details
File: storage.log (444.96 KB, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
File: environ (774 bytes, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (16.39 KB, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
File: syslog (71.17 KB, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.32 KB, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (113 bytes, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
File: program.log (102.81 KB, text/plain)
2012-10-03 22:00 EDT, Reartes Guillermo
no flags Details
I could not reproduce it (on two kvm guests) but i got this instead (90.41 KB, application/octet-stream)
2012-10-04 21:10 EDT, Reartes Guillermo
no flags Details
the bug is alive (82.43 KB, image/png)
2012-10-09 20:40 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-03 21:59:23 EDT
Description of problem:
entered storage, it bombed after i deselected all disk and leave storage.

Version-Release number of selected component:
anaconda-18.11

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.11 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 314, in execute
:    msg="Requested boot drive %s doesn't exist" % self.bootDrive)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1557, in doKickstartStorage
:    ksdata.bootloader.execute(storage, ksdata, instClass)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 333, in _doExecute
:    doKickstartStorage(self.storage, self.data, self.instclass)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 87, in run
:    threading.Thread.run(self, *args, **kwargs)
:KickstartValueError: The following problem occurred on line 0 of the kickstart file:
:
:Requested boot drive vdb doesn't exist
:
Comment 1 Reartes Guillermo 2012-10-03 21:59:44 EDT
Created attachment 621244 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-03 21:59:48 EDT
Created attachment 621245 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-03 21:59:50 EDT
Created attachment 621246 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-03 21:59:52 EDT
Created attachment 621247 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-03 22:00:06 EDT
Created attachment 621248 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-03 22:00:09 EDT
Created attachment 621249 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-03 22:00:12 EDT
Created attachment 621250 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-03 22:00:14 EDT
Created attachment 621251 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-03 22:00:19 EDT
Created attachment 621252 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-03 22:00:22 EDT
Created attachment 621253 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-03 22:00:24 EDT
Created attachment 621254 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-03 22:00:26 EDT
Created attachment 621255 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-03 22:00:29 EDT
Created attachment 621256 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-03 22:00:33 EDT
Created attachment 621257 [details]
File: program.log
Comment 15 Jesse Keating 2012-10-04 20:51:25 EDT
I can't reproduce this with anaconda-18.12 which is in the Beta TC2 compose.

Can you retest?

​http://dl.fedoraproject.org/pub/alt/stage/18-Beta-TC2/
Comment 16 Reartes Guillermo 2012-10-04 21:10:58 EDT
Created attachment 621881 [details]
I could not reproduce it (on two kvm guests) but i got this instead

it says "no disk selected" and remains greyed out (reboot needed to relaunch anaconda).
Comment 17 Jesse Keating 2012-10-04 21:15:08 EDT
Ok, I'm going to close this bug.  A new bug can be opened if you can reproduce the issue you just mentioned (after giving it a few minutes to reset)
Comment 18 Reartes Guillermo 2012-10-09 20:40:33 EDT
Created attachment 624371 [details]
the bug is alive

i will try to reproduce it again to note the steps in detail, it took me by surprise to see this.
Comment 19 Reartes Guillermo 2012-10-09 20:42:02 EDT
By the way, ABRT does not open another bug, it points to this one.
Comment 20 Reartes Guillermo 2012-10-09 20:43:13 EDT
can this bug be re-opened?
Comment 21 Reartes Guillermo 2012-10-15 21:09:15 EDT
i was trying to reproduce another bug.
i was switching back and forth manual to automatic partitioning and with either one, two disks.


Package: anaconda-18.16
OS Release: Fedora release 18-Beta-TC4
Comment 22 Reartes Guillermo 2012-10-19 23:48:00 EDT
F18b TC5 (anaconda 18.18)

Package: anaconda-18.18
OS Release: Fedora release 18-Beta-TC5
Comment 23 Chris Lumens 2012-10-21 22:21:43 EDT
*** Bug 868525 has been marked as a duplicate of this bug. ***
Comment 24 Chris Lumens 2012-11-14 10:30:50 EST
Are you still hitting this with anaconda-18.28 or later?
Comment 25 Michal Ambroz 2013-01-26 12:14:55 EST
1) booted LiveCD of Fedora 18 in order to upgrade/reinstall the installation on harddrive
I have created bootable USB disk for that

2) I choosed to install to harddrive

3) Clicked "Storage" in order to choose partitions which to overwrite

4) Clicked "Encrypt my data" as the LVM volume and standalone partitions I have are already encrypted

5) in "Installation options" popup dialog I choosed "I do not need help; let me customize disk partitioning"
and pushed "Reclaim space"

6) Manual partitioning dialog pop-ed up, but after while it crashes

I have really non-standard partitioning - I guess that some of that freaks the installator to death:
   Device		size		Id	System
/dev/sda1	050G	07	HPFS/NTFS/exFAT
/dev/sda2	004G   	83	/boot ext3
/dev/sda3	016G  	83	Ubuntu / ext3 encrypted
/dev/sda4        		05	Extended
/dev/sda5	016G	83	/ for Fedora - LUKS encrypted ext3
/dev/sda6	016G	83	/home - LUKS encrypted ext3
/dev/sda7	004G	83	swap - LUKS encrypted swapfs
/dev/sda8	050G	07	HPFS/NTFS/exFAT
/dev/sda9	320G	8e	LUKS encrypted LVM volume with 3 logical drives






Package: anaconda-18.37.11-1.fc18.x86_64
OS Release: Fedora release 18
Comment 26 Michal Ambroz 2013-01-26 14:10:51 EST
Trying to repartition drive.

Package: anaconda-18.37.11-1.fc18.x86_64
OS Release: Fedora release 18
Comment 27 David Lehman 2013-05-30 12:51:33 EDT
Closing this bug due to inactivity. Please reopen this bug and attach logs (/tmp/anaconda-tb-*) if you see this bug in Fedora 19 Beta or later.

Note You need to log in before you can comment on or make changes to this bug.